<?php 

namespace Teknisa\DF\Modules\Entrada\Services;

use Teknisa\DF\Modules\Entrada\Factories\ProdutosXmlFactory;

class ProdutosXmlService {
    
    protected $produtosXmlFactory; 
    
    public function __construct(ProdutosXmlFactory $produtosXmlFactory) {
        $this->produtosXmlFactory = $produtosXmlFactory; 
    }
    
    public function utilizaRelacionamentoPorFilial($fornecedor) {
        $paramIntegra = $this->produtosXmlFactory->getParamIntegracao($fornecedor);
        if(isset($paramIntegra[0])) {
            $paramIntegra = $paramIntegra[0];
            if($paramIntegra["IDUTRELXMLFIL"]) {
                return ($paramIntegra["IDUTRELXMLFIL"] == 'S' && $paramIntegra["IDBLOQALTPRODREL"] == 'N');   
            }
            else return false;
        }
        else return false;
    }
    

}